org.apache.ignite.internal.processors.rest.client.message

## Class GridClientCacheBean

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.client.message.GridClientCacheBean

All Implemented Interfaces:
  Serializable

    public class GridClientCacheBean
    extends Object
    implements Serializable

Cache bean.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridClientCacheBean()`
`GridClientCacheBean(String name, GridClientCacheMode mode, String sqlSchema)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`GridClientCacheMode` `getMode()` Gets cache mode.
`String` `getName()` Gets cache name.
`String` `getSqlSchema()` Gets custom name of the sql schema.
`int` `hashCode()`
`void` `setMode(GridClientCacheMode mode)` Sets cache mode.
`void` `setName(String name)` Sets cache name.
`void` `setSqlSchema(String sqlSchema)` Sets custom name of the sql schema.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridClientCacheBean

    public GridClientCacheBean()

#### GridClientCacheBean

    public GridClientCacheBean(String name,
                               GridClientCacheMode mode,
                               String sqlSchema)

### Method Detail

#### getName

    public String getName()

Gets cache name.

Returns:
  Cache name.

#### setName

    public void setName(String name)

Sets cache name.

Parameters:
  `name` - Cache name.

#### getMode

    public GridClientCacheMode getMode()

Gets cache mode.

Returns:
  Cache mode.

#### setMode

    public void setMode(GridClientCacheMode mode)

Sets cache mode.

Parameters:
  `mode` - Cache mode.

#### getSqlSchema

    public String getSqlSchema()

Gets custom name of the sql schema.

Returns:
  Custom name of the sql schema.

#### setSqlSchema

    public void setSqlSchema(String sqlSchema)

Sets custom name of the sql schema.

Parameters:
  `sqlSchema` - Custom name of the sql schema.

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018